Subject: Support building Vala projects without distributing generated C files

From: Philip Withnall <[email-masked]>
Date: Thu, 04 Jul 2013 20:46:19 +0100

Vala is now a mature, stable and widely-distributed programming
language, and there is no longer a need to force generated C files to be
distributed in tarballs of Vala projects.

One problem this causes is with conditional compilation of code in Vala,
as this changes generation of the C code rather than passing through
#ifdefs to it. This means that --[enable|disable]-feature options can’t
easily be implemented in autoconf using Vala’s #ifdefs, since the
generated C code will only correspond to the enable/disable value chosen
at distcheck time.

It would therefore be nice if automake supported non-distribution of the
generated C code, if a project chooses to do so.